Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BetweenFormation Class Reference

A class representing a formation between two other objects. More...

`#include <FormationObject.h>`

Inheritance diagram for BetweenFormation:

[legend]
Collaboration diagram for BetweenFormation:

[legend]
List of all members.

## Public Member Functions
| BetweenFormation ()
| Constructor.
bool | isActive () const
| Checks if the formation is active.
virtual bool | positionInsideFormation (const PfVec &p) const
| Checks if a position is inside the formation area.
## Protected Member Functions
virtual void | updateGeometry ()
| Updates the positions of the formation.

## Detailed Description

A class representing a formation between two other objects.

Definition at line 139 of file FormationObject.h.

## Constructor & Destructor Documentation

BetweenFormation::BetweenFormation | ( |  | ) |

| Constructor. Definition at line 103 of file FormationObject.cpp. References PotentialFieldsObject::setGeometry().

Here is the call graph for this function:

## Member Function Documentation

bool BetweenFormation::isActive | ( |  | ) | const`[virtual]`

| Checks if the formation is active. Returns: true, if the formation is active Reimplemented from SingleFormation. Definition at line 111 of file FormationObject.cpp.

bool BetweenFormation::positionInsideFormation | ( | const PfVec & | p | ) | const`[virtual]`

  | Checks if a position is inside the formation area. Parameters:
  p | The position
Returns: true, if the position is inside Reimplemented from SingleFormation. Definition at line 117 of file FormationObject.cpp. References PotentialFieldsObject::getGeometry(), and Polygon::pointInside().

Here is the call graph for this function:

void BetweenFormation::updateGeometry | ( |  | ) | `[protected, virtual]`

| Updates the positions of the formation. Reimplemented from SingleFormation. Definition at line 124 of file FormationObject.cpp. References PotentialFieldsObject::getGeometry(), Polygon::initRadiusOfCollisionCircle(), Polygon::pts, and reduceToConvexHullByWrapping().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Tools/PotentialFields/FormationObject.h
- Tools/PotentialFields/FormationObject.cpp